Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.io
Class NonshareableDataOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.ka2ddo.yaac.io.NonshareableDataOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.DataOutput, java.io.Flushable

    public final class NonshareableDataOutputStream

extends java.io.FilterOutputStream
implements java.io.DataOutput

This class is a duplicate of java.io.DataOutputStream, without the byte counter and the synchronization, so it can only be used by a single thread. It also eliminates the excess buffering used by writeUTF.

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`NonshareableDataOutputStream(java.io.OutputStream out)` Creates a new data output stream to write data to the specified underlying output stream.

Method Summary
`void` | `flush()` Flushes this data output stream.
`void` | `write(byte[] b)` Writes `b.length` bytes to this output stream.
`void` | `write(byte[] b, int off, int len)` Writes `len` bytes from the specified byte array starting at offset `off` to the underlying output stream.
`void` | `write(int b)` Writes the specified byte (the low eight bits of the argument `b`) to the underlying output stream.
`void` | `writeBoolean(boolean v)` Writes a `boolean` to the underlying output stream as a 1-byte value.
`void` | `writeByte(int v)` Writes out a `byte` to the underlying output stream as a 1-byte value.
`void` | `writeBytes(java.lang.String s)` Writes out the string to the underlying output stream as a sequence of bytes.
`void` | `writeChar(int v)` Writes a `char` to the underlying output stream as a 2-byte value, high byte first.
`void` | `writeChars(java.lang.String s)` Writes a string to the underlying output stream as a sequence of characters.
`void` | `writeDouble(double v)` Converts the double argument to a `long` using the `doubleToLongBits` method in class `Double`, and then writes that `long` value to the underlying output stream as an 8-byte quantity, high byte first.
`void` | `writeFloat(float v)` Converts the float argument to an `int` using the `floatToIntBits` method in class `Float`, and then writes that `int` value to the underlying output stream as a 4-byte quantity, high byte first.
`void` | `writeInt(int v)` Writes an `int` to the underlying output stream as four bytes, high byte first.
`void` | `writeLong(long v)` Writes a `long` to the underlying output stream as eight bytes, high byte first.
`void` | `writeShort(int v)` Writes a `short` to the underlying output stream as two bytes, high byte first.
`void` | `writeUTF(java.lang.String str)` Writes a string to the underlying output stream using modified UTF-8 encoding in a machine-independent manner.

Methods inherited from class java.io.FilterOutputStream
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonshareableDataOutputStream

    public NonshareableDataOutputStream(java.io.OutputStream out)

  Creates a new data output stream to write data to the specified underlying output stream. The counter `written` is set to zero.

  Parameters:
    `out` - the underlying output stream, to be saved for later use.
  See Also:
    `FilterOutputStream.out`

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Writes the specified byte (the low eight bits of the argument `b`) to the underlying output stream.

  Implements the `write` method of `OutputStream`.

  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `b` - the `byte` to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Writes `b.length` bytes to this output stream.

  The `write` method calls the underlying stream's `write` method of three arguments with the arguments `b`, `0`, and `b.length`.

  Note that this method does not call the one-argument `write` method of its underlying stream with the single argument `b`.

  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `b` - the data to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.write(byte[], int, int)`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Writes `len` bytes from the specified byte array starting at offset `off` to the underlying output stream.

  Specified by:
    `write` in interface `java.io.DataOutput`
  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### flush

    public void flush()
               throws java.io.IOException

  Flushes this data output stream. This forces any buffered output bytes to be written out to the stream.

  The `flush` method of `DataOutputStream` calls the `flush` method of its underlying output stream.

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`, `OutputStream.flush()`

### writeBoolean

    public final void writeBoolean(boolean v)
                            throws java.io.IOException

  Writes a `boolean` to the underlying output stream as a 1-byte value. The value `true` is written out as the value `(byte)1`; the value `false` is written out as the value `(byte)0`.

  Specified by:
    `writeBoolean` in interface `java.io.DataOutput`
  Parameters:
    `v` - a `boolean` value to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeByte

    public final void writeByte(int v)
                         throws java.io.IOException

  Writes out a `byte` to the underlying output stream as a 1-byte value.

  Specified by:
    `writeByte` in interface `java.io.DataOutput`
  Parameters:
    `v` - a `byte` value to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeShort

    public final void writeShort(int v)
                          throws java.io.IOException

  Writes a `short` to the underlying output stream as two bytes, high byte first.

  Specified by:
    `writeShort` in interface `java.io.DataOutput`
  Parameters:
    `v` - a `short` to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeChar

    public final void writeChar(int v)
                         throws java.io.IOException

  Writes a `char` to the underlying output stream as a 2-byte value, high byte first.

  Specified by:
    `writeChar` in interface `java.io.DataOutput`
  Parameters:
    `v` - a `char` value to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeInt

    public final void writeInt(int v)
                        throws java.io.IOException

  Writes an `int` to the underlying output stream as four bytes, high byte first.

  Specified by:
    `writeInt` in interface `java.io.DataOutput`
  Parameters:
    `v` - an `int` to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeLong

    public final void writeLong(long v)
                         throws java.io.IOException

  Writes a `long` to the underlying output stream as eight bytes, high byte first.

  Specified by:
    `writeLong` in interface `java.io.DataOutput`
  Parameters:
    `v` - a `long` to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeFloat

    public final void writeFloat(float v)
                          throws java.io.IOException

  Converts the float argument to an `int` using the `floatToIntBits` method in class `Float`, and then writes that `int` value to the underlying output stream as a 4-byte quantity, high byte first.

  Specified by:
    `writeFloat` in interface `java.io.DataOutput`
  Parameters:
    `v` - a `float` value to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`, `Float.floatToIntBits(float)`

### writeDouble

    public final void writeDouble(double v)
                           throws java.io.IOException

  Converts the double argument to a `long` using the `doubleToLongBits` method in class `Double`, and then writes that `long` value to the underlying output stream as an 8-byte quantity, high byte first.

  Specified by:
    `writeDouble` in interface `java.io.DataOutput`
  Parameters:
    `v` - a `double` value to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`, `Double.doubleToLongBits(double)`

### writeBytes

    public final void writeBytes(java.lang.String s)
                          throws java.io.IOException

  Writes out the string to the underlying output stream as a sequence of bytes. Each character in the string is written out, in sequence, by discarding its high eight bits.

  Specified by:
    `writeBytes` in interface `java.io.DataOutput`
  Parameters:
    `s` - a string of bytes to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.out`

### writeChars

    public final void writeChars(java.lang.String s)
                          throws java.io.IOException

  Writes a string to the underlying output stream as a sequence of characters. Each character is written to the data output stream as if by the `writeChar` method.

  Specified by:
    `writeChars` in interface `java.io.DataOutput`
  Parameters:
    `s` - a `String` value to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `DataOutputStream.writeChar(int)`, `FilterOutputStream.out`

### writeUTF

    public final void writeUTF(java.lang.String str)
                        throws java.io.IOException

  Writes a string to the underlying output stream using modified UTF-8 encoding in a machine-independent manner.

  First, two bytes are written to the output stream as if by the `writeShort` method giving the number of bytes to follow. This value is the number of bytes actually written out, not the length of the string. Following the length, each character of the string is output, in sequence, using the modified UTF-8 encoding for the character. If no exception is thrown, the counter `written` is incremented by the total number of bytes written to the output stream. This will be at least two plus the length of `str`, and at most two plus thrice the length of `str`.

  Specified by:
    `writeUTF` in interface `java.io.DataOutput`
  Parameters:
    `str` - a string to be written.
  Throws:
    `java.io.IOException` - if an I/O error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD